Patches for aports can be sent to this list

[alpine-aports] [PATCH] community/go: Add stringer to tools

Thomas Boerger
Details
Message ID
<1463054725-4267-1-git-send-email-thomas@webhippie.de>
Sender timestamp
1463054725
DKIM signature
missing
Download raw message
Patch: +7 -4
In order to be able to use the stringer tool within go-based packages I
have added it to the list of the go-tools subpackage.
---
 community/go/APKBUILD | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/community/go/APKBUILD b/community/go/APKBUILD
index 2528ed3..67d8089 100644
--- a/community/go/APKBUILD
+++ b/community/go/APKBUILD
@@ -4,7 +4,7 @@ pkgname=go
 pkgver=1.6.2
 # This should be the latest commit on the corresponding release branch
 _toolsver="c887be1b2ebd11663d4bf2fbca508c449172339e"
-pkgrel=1
+pkgrel=2
 pkgdesc="Go programming language compiler"
 url="http://www.golang.org/"
 arch="all"
@@ -23,7 +23,7 @@ source="http://golang.org/dl/go${pkgver}.src.tar.gz
 # NOTE: building go for x86 with grsec kernel requires:
 #           sysctl -w kernel.modify_ldt=1
 
-_gotools="cover vet godoc"
+_gotools="cover vet godoc stringer"
 _gocross="darwin freebsd openbsd windows"
 
 _builddir="$srcdir"/$pkgname
@@ -118,8 +118,11 @@ tools() {
 		"$pkgdir"/usr/lib/go/pkg/tool/linux_$GOARCH/godoc || return 1
 
 	for tool in $_gotools; do
-		mv "$pkgdir"/usr/lib/go/pkg/tool/linux_$GOARCH/$tool \
-			"$subpkgdir"/usr/lib/go/pkg/tool/linux_$GOARCH/$tool || return 1
+    if test -f "$pkgdir"/usr/lib/go/pkg/tool/linux_$GOARCH/$tool
+    then
+  		mv "$pkgdir"/usr/lib/go/pkg/tool/linux_$GOARCH/$tool \
+	  		"$subpkgdir"/usr/lib/go/pkg/tool/linux_$GOARCH/$tool || return 1
+    fi
 	done
 }
 
-- 
2.8.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---